<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Change Number</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content>
  <div class="changeNoImg">
    <img src="../../assets/images/changeMobileNo.png">
    <div padding>
      <p>Changing your phone number will migrate your account info, and setting. </p>
      <p>Before proceeding, please confirm that you are able to receive SMS or calls at your new number. </p>
      <p>If you have both a new phone and a new number, first change your number on your old phone.</p>
    </div>
  </div>
  <form #fchangemobile="ngForm" (ngSubmit)="fchangemobile.valid && verifyMobile()" novalidate="novalidate">
  <ion-card>
    <ion-item>
      <ion-label position="stacked">Old Number</ion-label>
      <ion-input disabled [(ngModel)]="model.mobileNumber" name="mobileNumber" #mobileNumber=ngModel></ion-input>
    </ion-item>

    <ion-item>
      <ion-label position="stacked" >New Number</ion-label>
      <ion-input minlength="10" maxlength="10" [(ngModel)]="model.newMobileNumber" name="newMobileNumber" #newMobileNumber=ngModel required></ion-input>
    </ion-item>
    <div *ngIf="fchangemobile.submitted">
      <div *ngIf="newMobileNumber?.errors?.required">
        This field is required.
      </div>
      <div *ngIf="newMobileNumber?.errors?.minlength">
        Invalid mobile number.
      </div>
    </div>

  </ion-card>
  
  <div class="addBtnContainer">
    <ion-button expand="block" color="primary" type="submit">Verify</ion-button>
  </div>

  </form>

</ion-content>